AllowAllAuthenticator (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.auth
Class AllowAllAuthenticator

    java.lang.Object
      org.apache.cassandra.auth.AllowAllAuthenticator

All Implemented Interfaces:
  IAuthenticator

    public class AllowAllAuthenticator

extends java.lang.Object
implements IAuthenticator

Field Summary

Fields inherited from interface org.apache.cassandra.auth.IAuthenticator
`PASSWORD_KEY, USERNAME_KEY`

Constructor Summary
`AllowAllAuthenticator()`

Method Summary
`AuthenticatedUser` | `authenticate(java.util.Map<? extends java.lang.CharSequence,? extends java.lang.CharSequence> credentials)`
`AuthenticatedUser` | `defaultUser()`
`void` | `validateConfiguration()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllowAllAuthenticator

    public AllowAllAuthenticator()

Method Detail

### defaultUser

    public AuthenticatedUser defaultUser()

  Specified by:
    `defaultUser` in interface `IAuthenticator`
  Returns:
    The user that a connection is initialized with, or 'null' if a user must call login().

### authenticate

    public AuthenticatedUser authenticate(java.util.Map<? extends java.lang.CharSequence,? extends java.lang.CharSequence> credentials)
                                   throws AuthenticationException

  Specified by:
    `authenticate` in interface `IAuthenticator`
  Parameters:
    `credentials` - An implementation specific collection of identifying information.
  Returns:
    A successfully authenticated user: should throw AuthenticationException rather than ever returning null.
  Throws:
    `AuthenticationException`

### validateConfiguration

    public void validateConfiguration()
                               throws ConfigurationException

  Specified by:
    `validateConfiguration` in interface `IAuthenticator`
  Throws:
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation